<template>
  <div>
    <Chart :cdata="cdata" />
  </div>
</template>

<script>
import Chart from "./chart.vue";
import axios from "@/api/ajax.js";
export default {
  data() {
    return {
      isEfficient: true,
      cdata: {
        xData: [],
        seriesData: [
          {
            value: 200,
            name: "已完成",
            itemStyle: { color: "#32c5e9" },
            label: {
              normal: {
                show: true,
                formatter: "{d}%",
                textStyle: {
                  fontSize: 16,
                  fontWeight: "bolder",
                },
              },
            },
          },
          { value: 100, name: "未完成", itemStyle: { color: "#00000000" } },
        ],
      },
    };
  },
  components: {
    Chart,
  },
  mounted() {
    this.GetEfficient();
    setInterval(() => {
      this.GetEfficient();
    }, 1000);
  },
  methods: {
    GetEfficient() {
      axios.post("/api/dt_product/GetDayGoals", null, "").then((x) => {
        if (x.data.status) {
          this.cdata.seriesData = [
            {
              value: x.data.data.day_actual, //已完成值data.day_target
              name: "已完成",
              itemStyle: { color: "#32c5e9" },
              label: {
                normal: {
                  show: true,
                  formatter: "{d}%",
                  textStyle: {
                    fontSize: 16,
                    fontWeight: "bolder",
                  },
                },
              },
            },
            {
              value: x.data.data.day_continued,//未完成值
              name: "未完成",
              itemStyle: { color: "#00000000" },
            },
          ];
          //开启定时器
          if (this.isEfficient) {
            setInterval(() => {
              this.isEfficient = false;
              this.GetEfficient();
            }, 10000);
          }
        }
      });
    },
  },
};
</script>

<style lang="scss" scoped>
.ec-font {
  font-size: 18px;
}
</style>